Function
representative
Returns a substring representing the path from root to iterator node.
representative(iterator)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: VSTree Iterator

Return Values
An InfixSegment of the text of an index (see EsaText). If iterator's container type is TIndex the return type is Infix<Fibre<TIndex, EsaText>::Type const>::Type.
Example Programs
Mummy, Supermaximal Repeats, Maximal Repeats, Maximal Unique Matches, Constraint Iterator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48